package cn.iocoder.yudao.module.asset.enums.contract;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 合同类型枚举
 *
 * @author 芋道源码
 */
@Getter
@AllArgsConstructor
public enum ContractTypeEnum {

    TRIAL(1, "试用合同"),
    FORMAL(2, "正式合同");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 名称
     */
    private final String name;

    public static ContractTypeEnum valueOf(Integer type) {
        return Arrays.stream(values())
                .filter(item -> item.getType().equals(type))
                .findFirst()
                .orElse(null);
    }

}
